Bug 397651 - scriptlets broken in docbook-dtds-1.0-34.fc9
scriptlets broken in docbook-dtds-1.0-34.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: docbook-dtds (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 02:16 EST by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 04:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-11-24 02:16:37 EST
installing that build, I get:

[mclasen@localhost ~]$ sudo rpm -U --force docbook-dtds-1.0-34.fc9.noarch.rpm 
Can't open {CATALOG}: No such file or directory at -e line 1.


Here is the fix (I'm really sorry to dump such trivia into bugzilla,
but acls prevent me from building the trivial fix myself.)

@@ -630,7 +630,7 @@
   XML=$((XML - 1))
   SGML=$((SGML - 1))
   perl -e "@_=<>;@_[$XML, $SGML]=@_[$SGML, $XML];print @_" \
-    {CATALOG} > ${CATALOG}.rpmtmp
+    ${CATALOG} > ${CATALOG}.rpmtmp
   mv -f ${CATALOG}.rpmtmp ${CATALOG}
 fi
Comment 1 Matthias Clasen 2007-11-24 02:18:17 EST
The effect of this bug is that _no_ docbook dtds are registered in the xml
catalogs at all, which broke my local builds and made me notice this bug.
Comment 2 Ondrej Vasik 2007-11-26 04:38:40 EST
Thanks for report, fixed in docbook-dtds-1.0-35.fc9, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.